nixp.ru v3.0

16 января 2017,
понедельник,
13:50:29 MSK

DevOps с компанией «Флант»
anonymous написал 2 июня 2005 года в 18:37 (250 просмотров) Ведет себя неопределенно; открыл 1814 темы в форуме, оставил 5575 комментариев на сайте.

Приветствую, господа никсоиды…

…помогите, плиз…

1)…пытаюсь вот поставить Debian Sarge на нотебяку…вначале ставлю пакет gconf (первый раз выбор мой пал на KDE…и всё прошло нормально — после установки gconf, где выбираю KDE, запускаю tasksel…и вот оно…

…а сейчас для разнообразия выбрала Gnome вначале…ну и всё…tasksel не запускается…ставлю через apt-get install по отдельности KDE и Gnome…и тот и другой жалуются на Display problem…

…команду RTFM выполняла старательно, но так ничего и не нашла :(…

…убедительная просьба, опишите, плиз, пошаговый процесс установки Х-ов…или хоть подскажите, каким образом поменять настройки дисплея :(((..

2)…ещё у меня была проблема с установкой модема — (конексант вин-модем)…дрова-то воткнуть — не проблема, проблема оказалась в том, что и модем, и звуковая карточка тама AC’97 и используют одно прерывание (вот уж не думала, что в линуксе возникнет трабл с прерываниями)…когда поставила дрова и пересобрала ядро всё работало — и звук, и модем…а вот после перезагрузки пропало и то, и то…:(….и так периодически оно всё то работало,то всё не работало :(((…

…ну, до этого процесса мне ещё далеко…разобраться бы хоть с дисплеем :(…

С уважением, Liya.

Genie

ну, для начала..

определиться надо, что же именно у тебя есть, установлено и работает.

я правильно понимаю, что сейчас происходит загрузка в консоли, иксы не запускаются?

есть ли некоторое продолжительное мелькание/переключение режимов на экране? (типа есть ли попытка входа в систему?)

ответ на этот вопрос даст понимание, установлен ли вообще сам XFree86, и может у него проблема с настройкой?

тогда из консоли запустить

$ startx


и смотреть, что оно выдаёт. желательно — после попытки запуска сохранить отдельно /var/log/XFree86.0.log и смотреть в нём.

последние строчки как раз расскажут, что не так.

anonymous

…мелькания и переключения режимов нет…

…а когда пыталась запустить startx так же выдал display problem…

…а логи сёдня посмотрю….мож чё путного там есть :(…

…спасибо…

anonymous

….ну вот…вроде поставила…по логам и нашла трабл…теперь и Gnome, и Kde вроде фунциклируют…

…осталось 2 проблемы:

1)…поддержку звука ac’97 в ядро вставила…в /lib/modules/…/drivers/sound всё тоже имеется…

…вот только в /sbin нету почему-то sndconfig’a…

…а когда вручную указываю девайсы (dsp-0-1-2-3…и др.)…всегда выдаёт ошибку sound server’a…и пишет, что таких девайсов у меня нету…:(…

…мдя…чё-т у меня всё через «ж» как-то :(…

2)…ну и второй трабл, ебстественно, конексант ac’97-модем…как и в прошлый раз…:(…

Genie

погоди. что именно у тебя за notebook?

что выдаёт о ненастроенных устройствах lspci ?

(можно так же и lspci -n, а по некоторым конкретным и более детальное lspci -v)

anonymous

Нотебяку зовут iru3114…помнится, после покупки нашла внутри книжечки бумажку, что в предустановленной ос iru-linux обнаружен конфликт устройств, и модем, мол, работать не будет…радости было…

…а lspci пишет следующее об этих двух девайсах:

0000:00:1f.5 Multimedia audio controller: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC’97 Audio Controller (rev 03)

Subsystem: QUANTA Computer Inc: Unknown device 0707

Flags: bus master, medium devsel, latency 0, IRQ 10

I/O ports at 1c00 [size=256]

I/O ports at 18c0 [size=64]

Memory at e0100c00 (32-bit, non-prefetchable) [size=512]

Memory at e0100800 (32-bit, non-prefetchable) [size=256]

Capabilities: [50] Power Management version 2

0000:00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC’97 Modem Controller (rev 03) (prog-if 00 [Generic])

Subsystem: QUANTA Computer Inc: Unknown device 0707

Flags: bus master, medium devsel, latency 0, IRQ 10

I/O ports at 2400 [size=256]

I/O ports at 2000 [size=128]

Capabilities: [50] Power Management version 2

…вот…

anonymous

А ещё вот нашла, что хоть драйвер alsa и поддерживает данный чип, работать он будет лишь с ядром 2.6…ет придётся ещё и ядро менять :(…

…сколько геморроя из-за одного лишь звука :(..про модем я вообще молчу…видать не судьба…

metal

Не спеши на 2.6 переходить. Вроде для этого железа нужен драйвер snd-intel8×0. У меня он работает (и еще много где работал) и на 2.4. Тебе нужно установить alsa-utils (если еще не установлены) и заюзать alsaconf. Для модема скачать что-то типа slmodem-2.9.X. Советую обратить внимание именно на модем, звуковуха должна подниматься без проблем.

anonymous

а) ядро лучше сменить — ИМХО

б) попробовать поиграться с драйверами звуковухи и модема

т.е 1 монолитом — 2 модулём и наоборот — должно решить проблему с прерываниями…

Блин если это альт компакт который iRu шники кривыми руками ставят — то пипец ….

anonymous

Прошу прошение за последнюю фразу не заметил что деб ставят …

увидел » iru-linux » — нахлыноло …

«(вот уж не думала, что в линуксе возникнет трабл с прерываниями)»

кудаж она денеться если модем и звуковуха в одном устройстве :)

Genie

переходить на 2.6 тоже не надо, поскольку достаточно поставить пакет alsa-modules-2.4-* (соответственно установленному ядру)

ещё надо будет alsa-base, alsa-oss, alsa-utils, alsaconf

в качестве регулятора громкости можно поставить aumix-gtk, либо alsamixergui

и, как уже сказали, запустить alsaconf и настроить звуковую карточку.

собствено, если оно настроит и установит модуль snd-intel8×0, то можно попробовать настроить модем модулем snd-intel8×0m. правда. мне проверить не на чём, поэтому только вот так, чисто умозрительно и теоретически.

metal
Genie
собствено, если оно настроит и установит модуль snd-intel8×0, то можно попробовать настроить модем модулем snd-intel8×0m. правда. мне проверить не на чём, поэтому только вот так, чисто умозрительно и теоретически.

Вот с модулем snd-intel8×0m куча проблем, поэтому я советую начать с модема (если он нужен). На 2.4 slmodem должен его поднять.

anonymous

Пасиба всем огромное…буду пробовать…

anonymous

…ну вот…очередная проблема…и что у меня везде эти самы проблемы ???…"фирменное везение» я это называю (ну аксиому про кривые руки в расчёт не беру :)…

…воткнула кернел-хедерс и пытаюсь поставить драйвер алса…ну вот он прям сразу и выдаёт, что у меня нет файла version.h…ну он есть у меня !!!!!!!!…есть…живой…живёт и жизни прям радуется…сначала думала, что просто дрова не поддерживают ядро моё…ан нет — они ещё на 2.2 ядро встают, судя по «рид ми»…воть :(…

Genie

поточнее процитируй содержание ошибки. а то может в чём другом на самом деле дело.

anonymous

….да нет…собственно, это дословно…

…когда пишу ему ./configure , скрипт запускается, но потом выдаёт, что по указанному пути /usr/src/…/version.h этого самого version.h нету…а он есть…зуб даю…:)…

…потом попробовала с дистрибутива поставить драйвера alsa, поставились…. он понаопределял кучу всего, а вот последняя строчка, касающаяся моей звуковухи, выдала опять же ошибку :(…

anonymous

Может всё же в ядре дело?…у меня 2.4.18…

anonymous

…вот разобралась наконец-то…

…поставила драйвера (alsa 1.0.9a)…выдал только ошибку установки usb-mixer’a…

Но потом при установке пакета alsa-utils выдал:

checking for initscr in -lncurses… no

checking for initscr in -lcurses… no

configure: error: this packages requires a curses library

…собственно на этом процесс прерывается…

Тогда поставила версию alsa-utils 1.0.8 из дистрибутива своего…вроде встал…

…далее запускаю alsaconf, который успешно определяет мою карточку (+ ещё исашную какую-то :)…но потом вон чаво пишет :

Running update-modules…

depmod: * Unresolved symbols in /lib/modules/2.4.18-bf2.4/kernel/sound/acore/snd.o

Loading driver…

/lib/modules/2.4.18-bf2.4/kernel/sound/acore/snd.o: /lib/modules/2.4.18-bf2.4/kernel/sound/acore/snd.o: unresolved symbol class_device_destroy

/lib/modules/2.4.18-bf2.4/kernel/sound/acore/snd.o: /lib/modules/2.4.18-bf2.4/kernel/sound/acore/snd.o: unresolved symbol class_device_create

/lib/modules/2.4.18-bf2.4/kernel/sound/acore/snd.o: insmod /lib/modules/2.4.18-bf2.4/kernel/sound/acore/snd.o failed

/lib/modules/2.4.18-bf2.4/kernel/sound/acore/snd.o: insmod snd-intel8×0 failed

Setting default volumes…

Saving the mixer setup used for this in /var/lib/alsa/asound.state.

/usr/sbin/alsactl: save_state:1194: No soundcards found…

===============================================================================

Now ALSA is ready to use.

For adjustment of volumes, use your favorite mixer.

Have a lot of fun!

…вот сижу и хэваю этот самый «лот оф фан»…:(…

Genie

насколько я помню, нормально собиралась на Woody только алса 1.0.6, дальше уже что-то было отломано..

вообще, чтобы не мучиться самосбором, есть такой поисковик: http://apt-get.org/

просишь его найти что-то, оно тебе и рассказывает, что именно надо добавить в /etc/apt/sources.list перед тем, как сделать apt-get update && apt-get install пакет

впрочем, лучше уже ставить Sarge, благо оно теперь stable.

anonymous

А он у меня не ставился (…ему моё юсб не нравится…в смысле система нормально инсталлилась, но не грузилась…долго медитировала, потом местный гуру медитровал…ну в общем, поставила Вуди и apt-ом пакеты до Саржа проапгрейдила…

…ставила Сарж когда он ещё был testing…хотя дистрибутив прям предрелизный был, так что думаю, что и нынешний не поставится :(..

…интересно, а драйвер 1.0.6 найдёт карточку ?…ладно, попробую :(…вдруг да и будет мне счастье….хоть немножко :(…

…спасибо !!!

anonymous

…ыыыыыыы….прикола ради отправляла пызьмо в техподдержку фирмы iru, мол зачем ж так жить, с претензиями на разработку linux, делая всё криво…

…щас получила ответ….

«Добрый день, Вам необходимо собрать ядро 2.6.11 с модулями alsa, по поводу модема — www.linmodems.org»

metal

Да это тоже вариант, только модуль alsa для модема не поддерживает импульсный набор, что для России очень плохо :(

ecobeingecobeing.ru
Экология и вегетарианство на благо всем живым существам Планеты.